import { Scene } from '@antv/l7';
import BaseLayer from './baseLayer';
import { IDistrictLayerOption } from './interface';
export default class CountryLayer extends BaseLayer {
    protected layerType: string;
    private fillRawData;
    constructor(scene: Scene, option?: Partial<IDistrictLayerOption>);
    protected addProvinceFill(): Promise<void>;
    protected addProvinceLabel(): Promise<void>;
    protected addProvinceLine(cfg: any): Promise<void>;
    protected addNormalProvinceLine(cfg: any): Promise<void>;
    private loadData;
    private addNationBorder;
    private addCityBorder;
    private addCountyBorder;
    private addMCLabel;
    private filterData;
    private addText;
    private addRegionLabel;
}
